package com.iamberry.wechat.core.entity.coupon;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;

/**
 * 优惠券使用情况dto
 * @author liuzhiwei
 *
 */

public class AdminCouponItemDto implements Serializable{
	

	/**
	 * 
	 */
	private static final long serialVersionUID = -5403675300113959258L;

	private String couponItemId;						//id
	
	private String couponId;								//优惠券分类id
	
	private String couponItemUserOpenId;		//领取券的openid
	
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponUseEndDate;				//券截止使用时间
	
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponReceiveDate;				//领取优惠券时间
	
	private Integer couponUseStatus;				//使用状态
	
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")  
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8") 
	private Date couponUseDate;						//使用时间
	
	private String couponItemRemark;				//优惠券备注
	
	private String couponName;						//优惠券名称
	
	private String userName;						//优惠券领取人
	
	private PageBean page = new PageBean(); //分页信息

	public String getCouponId() {
		return couponId;
	}

	public void setCouponId(String couponId) {
		this.couponId = couponId;
	}

	public String getCouponItemUserOpenId() {
		return couponItemUserOpenId;
	}

	public void setCouponItemUserOpenId(String couponItemUserOpenId) {
		this.couponItemUserOpenId = couponItemUserOpenId;
	}

	public Date getCouponUseEndDate() {
		return couponUseEndDate;
	}

	public void setCouponUseEndDate(Date couponUseEndDate) {
		this.couponUseEndDate = couponUseEndDate;
	}

	public Date getCouponReceiveDate() {
		return couponReceiveDate;
	}

	public void setCouponReceiveDate(Date couponReceiveDate) {
		this.couponReceiveDate = couponReceiveDate;
	}

	public Integer getCouponUseStatus() {
		return couponUseStatus;
	}

	public void setCouponUseStatus(Integer couponUseStatus) {
		this.couponUseStatus = couponUseStatus;
	}

	public Date getCouponUseDate() {
		return couponUseDate;
	}

	public void setCouponUseDate(Date couponUseDate) {
		this.couponUseDate = couponUseDate;
	}

	public String getCouponItemRemark() {
		return couponItemRemark;
	}

	public void setCouponItemRemark(String couponItemRemark) {
		this.couponItemRemark = couponItemRemark;
	}

	public String getCouponName() {
		return couponName;
	}

	public void setCouponName(String couponName) {
		this.couponName = couponName;
	}


	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getCouponItemId() {
		return couponItemId;
	}

	public void setCouponItemId(String couponItemId) {
		this.couponItemId = couponItemId;
	}

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}
	
	
}
